; $Id: sine_cam_funq.pro,v 1.2 2002/01/14 20:59:25 amunter Exp $
;==========================================
function sine_cam_funQ,npts,f
; function returns the doppler profile over one
; complete cycle for the sine cam.
; f: oscillation frequency of doppler drive

pi = !Pi
beta = pi
amp = 0.045
velocity = fltarr(npts)
w = 2.0*pi*f
channels = fltarr(npts)
channels = findgen(npts)
velocity = w*amp*sin(2.0*!pi*channels/npts-0.5*pi)
tnew = fltarr(npts)
thi = 1.0/f & dt = thi/(npts-1)
tnew = dt*findgen(npts)
data = fltarr(2,npts)
data[0,0:npts-1] = tnew[0:npts-1]
data[1,0:npts-1] = velocity[0:npts-1]
return,data
end