; $Id: dcs_jcc_flux.pro,v 1.3 2002/07/13 20:14:57 john Exp $
; Written by J.R.D. Copley.
;************************************************************************************************
function dcs_jcc_flux,wl,rmode
;************************************************************************************************
;
compile_opt strictarr
;
; DCS beam area-averaged flux at 20000 rpm, max rep rate, from JCC.
; (from DCS beam monitor measurements 10/26/98. Normalized to Au foil 5A, SR=1.)
;
dwl=double(wl)
case rmode of
	1:	Flux= 1.0e8*(1.12e7/(wl^8.24)*exp(-28.62d/(dwl^0.49)) $
			+ 2.14e2/(dwl^6.34)*exp(-41.34d/(dwl^1.32)) $
			+ 2.41e7/(dwl^14.69)*exp(-36.92d/(dwl^1.11)))
;
	2:	Flux= 1.0e9*(1.45e-2/(dwl^4.86)*exp(-426.0d/(dwl^3.32)) $
			+ 2.55e7/(dwl^9.08)*exp(-32.87d/(dwl^0.457)))
;
	3:	Flux= 2.0e8*(1.45e-2/(dwl^4.86)*exp(-426.0d/(dwl^3.32)) $
			+ 2.55e7/(dwl^9.08)*exp(-32.87d/(dwl^0.457)))
;
	else:
endcase
;
return,Flux
end